%ifnos darwin
%define __defattr %defattr(-,root,root)
%else
%define __defattr %defattr(-,root,wheel)
%endif

Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 1.0
Release: 1a
%ifnos darwin
Requires: librep >= 0.14, rep-gtk >= 0.14, rep-gtk-gnome
%else
Requires: librep >= 0.14, rep-gtk >= 0.14
%endif
Copyright: GPL
Group: User Interface/Desktops
Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.gz
Patch: localhost:/sawfish-1.0-macosx.patch
URL: http://sawmill.sourceforge.net/
# Packager: John Harper <john@dcs.warwick.ac.uk>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Buildroot: %{_tmppath}/%{name}-root
%ifnos darwin
BuildPrereq: rep-gtk-libglade control-center-devel gmp-devel texinfo
%else
BuildPrereq: gmp-devel texinfo
%endif
PreReq: %{_sbindir}/install-info
Provides: windowmanager
Obsoletes: sawmill sawmill-gnome sawfish-gnome

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%ifnos darwin
%package themer
Summary: A GUI for creating sawfish window manager themes.
Group: User Interface/Desktops
Requires: %{name} = 1.0, rep-gtk-libglade
Obsoletes: sawmill-themer

%description themer
The sawfish-themer package contains an optional theme builder for the
sawfish window manager. sawfish-themer allows static window themes to
be created and edited in a graphical environment.
%endif

%prep
%setup -q
%ifos darwin
%patch -p1 -b .macosx
%endif

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

cp /usr/share/libtool/{config.*,lt*} etc/
%configure
make host_type=%{_target_platform}

%install
export PATH=$PATH:%{_sbindir}
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%ifnos darwin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
%endif
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    GNOMEDIR=%{_prefix} \
    host_type=%{_target_platform} \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

%post
%{_sbindir}/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    %{_sbindir}/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc README NEWS FAQ THANKS BUGS TODO
%doc po/sawfish.pot lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-ui
%ifnos darwin
%{_bindir}/sawfish-capplet
%endif
%{_datadir}/sawfish/%{version}
%{_datadir}/locale
%ifnos darwin
%{_datadir}/control-center/Sawfish
%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%endif
%{_datadir}/pixmaps/sawfish*.png
%{_libexecdir}/sawfish/%{version}/%{_target_platform}
%{_libexecdir}/rep/%{_target_platform}/sawfish
%{_infodir}/sawfish*

%ifnos darwin
%files themer
%{__defattr}
%{_bindir}/sawfish-themer
%{_datadir}/sawfish/%{version}/themer.glade
%endif

%changelog
* Fri Jul 21 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X

* Tue Jun 12 2000 John Harper <john@dcs.warwick.ac.uk>
- merged differences from RH spec file

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
